    /*
     *  call-seq:
     *     term_enum.skip_to(target) -> term
     *
     *  Skip to term +target+. This method can skip forwards or backwards. If you
     *  want to skip back to the start, pass the empty string "". That is;
     *
     *    term_enum.skip_to("")
     *
     *  Returns the first term greater than or equal to +target+
     */
    static VALUE
    frb_te_skip_to(VALUE self, VALUE rterm)
    {
        TermEnum *te = (TermEnum *)DATA_PTR(self);
        return frb_te_get_set_term(self, te->skip_to(te, rs2s(rterm)));
    }